package cn.com.countrygarden.bi.main.service.ck;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.ck.*;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.ck.CkRegionFiledValueVo;
import cn.com.countrygarden.bi.main.model.ck.CkCleanerExternaldisplay;
import cn.com.countrygarden.bi.main.model.ck.green.CkGreenBasic;

import java.util.List;
import java.util.Map;

/**
 * 绿化拓展数据业务处理类
 *
 * @ClassName:CkGreenExpandService.java
 * @Description:功能描述
 * @author: lisenlin
 * @date: 2020/10/27
 */
public interface CkGreenExpandService{

    /**
     * 获取数据维护列表的数据
     * @param cleanerQueyr
     * @param accessToken
     * @return
     */
    Result queryPageList(CkCleanerQueyr cleanerQueyr, AccessToken accessToken);

//    Result queryById(CkCleanerQueyr cleanerQueyr);

    Result addOrEdit(String data, AccessToken accessToken);



    Result del(List<Integer> ids,String dataClassification,AccessToken accessToken);


    List<CkRegionVo> getRegionDate(AccessToken accessToken);

    /**
     * 构建数据维护列表的列表数据
     * @param query
     * @param list
     * @return
     */
    List<CkCleanerFieldConfigVo> formulaConfig(CkCleanerVo query, List<CkCleanerFieldConfigVo> list);

    CkCleanerTableVo inheritInfo(CkGreenBasic ckCleanerBasic);

    int addckexpand(Integer basicId,String data,AccessToken accessToken);

    List<CkCleanerExternaldisplay> ckexpandkedKeys(Integer basicId);

    List<Map<String,String>> ckexpand(Integer[] commId, Integer year, Integer month);

    Result statisticsProject(Integer year,Integer month);

    Result statisProjDetad(Integer year,Integer month,String type,int page,int size);

    List<CkRegionFiledValueVo> getRegionData(CkCleanerQueyr cleanerQueyr, AccessToken accessToken);

    Result locking(CkGreenBasic ckGreenBasic, AccessToken accessToken);

    Result unlock(CkGreenBasic ckGreenBasic, AccessToken accessToken);

    Result batchLock(String basicIds, AccessToken accessToken);
}